KONECONTROL(1)

NAME
konecontrol - a tool to control the extended capabilities of Kone mouse

SYNOPSIS
konecontrol [ -cfghpv ] [ -a NUMBER ] [ -i NUMBER ] [ -l NUMBER ] [ -o NUMBER ] [ -r FILENAME ] [ -s NUMBER ] [ -w FILENAME ] [ --activate-profile=NUMBER ] [ --actual-dpi ] [ --actual-profile ] [ --calibrate ] [ --help ] [ --load=NUMMER ] [ --path ] [ --read-firmware ] [ --read-profile=NUMBER ] [ --read-rmp=FILENAME ] [ --read-weight ] [ --save=NUMMER ] [ --version ] [ --write-profile=NUMBER ] [ --write-rmp=FILENAME ]

DESCRIPTION
This console application lets you modify profiles of a Kone mouse.

OPTIONS

-h, --help
    Give the help list.

-a, --activate-profile=NUMBER
    Activates the given profile. Please mind that this permanently sets the startup profile. That means the given profile will be active each time the Kone starts up.

--actual-dpi
    Returns the actual dpi setting.

--actual-profile
    Returns the number of the active profile.

-c, --calibrate
    Calibrate the Kone. The application needs confirmation from the user.

-f, --read-firmware
    Returns the firmware version of the Kone.

-g, --read-weight
    Returns the weight of the inserted Fast-Clip-Weight.

-i, --read-profile=NUMBER
    Reads a profile from mouse into memory.

-l, --load=NUMBER
    Loads the profile from mouse and deposits it in memory. If they differ a warning is given and the mouse profile is used further.

-o, --write-profile=NUMBER
    Writes the profile from memory to mouse.

-p, --path
    Returns the sysfs-path.

-r, --read-rmp=FILENAME
    Reads an rmp-file into memory.

-s, --save=NUMBER
    Saves the profile from memory to mouse and deposit.

-v, --version
    Print program version.

-w, --write-rmp=FILENAME
    Write the profile from memory as rmp-file.

EXAMPLES

konecontrol -r profile.rmp -s 1
    Reads the profile from file profile.rmp and saves the result as profile number 1 in the mouse and the deposited profile.

AUTHOR
Stefan Achatz <erazor_de@users.sourceforge.net>